﻿using System;
using System.ServiceModel.DomainServices.Client;

namespace DeleteFromEntitySet
{
	public class EntityCollectionViewDelegates<TEntity> where TEntity : Entity
	{
		public Action<TEntity> Add { get; set; }

		public Func<bool> CanAdd { get; set; }

		public Func<bool> CanRemove { get; set; }

		public Func<int> Count { get; set; }

		public Action<TEntity> Remove { get; set; }
	}
}
