﻿using System.Collections;
using System.ComponentModel.DataAnnotations;

namespace DeleteFromEntitySet.Web
{
    public partial class Artist
    {
		private EntityCollectionView<Album> albumsCollectionView;

		[Display(AutoGenerateField=false)]
		public IEnumerable AlbumsView
        {
            get
            {
                if (this.albumsCollectionView == null)
                {
                    this.albumsCollectionView = new EntityCollectionView<Album>(this.Albums);
                }

                return this.albumsCollectionView;
            }
        }
    }
}
